Show shared disk provision service usage status#
共有ストレージサービスの使用状況を任意の単位または一覧で表示します。
APIエンドポイント#
| リージョン | APIエンドポイント |
|---|---|
| 東日本リージョン3の場合 | https://baremetal.jp-east-3.cloud.global.fujitsu.com |
HTTPメソッドとURI#
GET
/v1/disk/volume/detail
HTTPステータスコード#
正常時:200
エラー時:400, 401, 403, 500, 503
リクエストパラメータの説明#
| 名前 | In | Type | デフォルト値 /必須指定 |
Description |
|---|---|---|---|---|
| TenantId | query | string | 必須 | プロジェクトID |
レスポンスボディ(正常系)の説明#
| 名前 | Type | Description |
|---|---|---|
| SnapshotList | array | スナップショット一覧 |
| comment | string | コメント |
| created_date | string | 作成日 |
| project_id | string | プロジェクトID |
| snapshot_name | string | スナップショット名 |
| volume_name | string | 共有ストレージ名 |
| VolumeList | array | 共有ストレージ一覧 |
| available_size_mb | string | 使用可能サイズ(MB単位) |
| ipv4 | string | IPアドレス |
| project_id | string | プロジェクトID |
| size_mb | string | 領域サイズ(MB単位) |
| snapshot_used_mb | string | スナップショット使用サイズ(MB単位) |
| subnet_id | string | サブネットID |
| subnet_mask | string | サブネットマスク |
| used_size_mb | string | 使用サイズ(MB単位) |
| volume_name | string | 共有ストレージ名 |
リクエスト例#
/v1/disk/volume/detail?TenantId=76875dbbb8244c809fe12b2f80a0e8c2
レスポンス例#
{ "SnapshotList": [ { "comment": "test", "created_date": "2018-07-12T12:04:01Z", "project_id": "76875dbbb8244c809fe12b2f80a0e8c2", "snapshot_name": "testsnap", "volume_name": "testvol1" } ], "VolumeList": [ { "available_size_mb": "1572863", "ipv4": "192.168.11.17", "project_id": "76875dbbb8244c809fe12b2f80a0e8c2", "size_mb": "1572864", "snapshot_used_mb": "1", "subnet_id": "49c0f1af-2ceb-41d7-9a74-14dcbedce9f8", "subnet_mask": "255.255.255.0", "used_size_mb": "1", "volume_name": "testvol1" } ] }